[package]
name = "qroissant-arrow"
version.workspace = true
edition.workspace = true
license.workspace = true
publish = false

[lib]
name = "qroissant_arrow"
path = "src/lib.rs"

[dependencies]
arrow-array = "58.0.0"
arrow-buffer = "58.0.0"
arrow-cast = "58.0.0"
arrow-schema = "58.0.0"
arrow-select = "58.0.0"
bytemuck = { version = "1", features = ["derive", "extern_crate_alloc"] }
bytes = "1.11.1"
chrono = "0.4.44"
qroissant-core = { path = "../qroissant-core" }
qroissant-kernels = { path = "../qroissant-kernels" }
rayon = "1.10"
thiserror = "2.0.18"

